package com.wisedu.mooc.app.log.bo;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;

/**
 * LogStudyPos entity. @author MyEclipse Persistence Tools
 */
@Entity
@Table(name = "log_study_pos_item")
public class LogStudyPosItem implements java.io.Serializable {

    // Fields

    /**
	 * 
	 */
	private static final long serialVersionUID = 1L;
	private String id;
    private Long itemId;
    private Integer visitPos;
    /*
     * 行为类型
     * 10：进入
     * 20：暂停
     * 30：快退
     * 40：快进
     * 50：跳出
     * */
    private Integer actionType;
    private Integer visitCount;
    // Constructors

    /** default constructor */
    public LogStudyPosItem() {
    }
    @Id
    @Column(name="ID", nullable=false, unique=true, length=64)
	public String getId() {
		return id;
	}

	public void setId(String id) {
		this.id = id;
	}
	@Column(name="ITEM_ID")
	public Long getItemId() {
		return itemId;
	}

	public void setItemId(Long itemId) {
		this.itemId = itemId;
	}
	@Column(name="VISIT_POS")
	public Integer getVisitPos() {
		return visitPos;
	}

	public void setVisitPos(Integer visitPos) {
		this.visitPos = visitPos;
	}
	@Column(name="ACTION_TYPE")
	public Integer getActionType() {
		return actionType;
	}
	
	public void setActionType(Integer actionType) {
		this.actionType = actionType;
	}
	@Column(name="VISIT_COUNT")
	public Integer getVisitCount() {
		return visitCount;
	}

	public void setVisitCount(Integer visitCount) {
		this.visitCount = visitCount;
	}
    
}